Bug 314186 - wrong presence displayed when more that one tab is opened
Summary: wrong presence displayed when more that one tab is opened
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui (show other bugs)
Version: git-latest
Platform: Other Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-31 13:16 UTC by Alin M Elena
Modified: 2013-02-15 21:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alin M Elena 2013-01-31 13:16:25 UTC
I use text-ui in a multitab configuration (each new chat gets a tab in the same window...)
Let us assume I have 2 tabs opened user A and user B... user B is the active tab
the window bar displays the presence and the user name for user B.
However if the presence of user A changes... the window bar presence changes to user A presence but keeps correctly the user B.


changes of presence in non-active tabs shall not be reflected in the titlte displayed by the windows bar.

Reproducible: Always
Comment 1 Daniel Vrátil 2013-01-31 23:36:20 UTC
Git commit d36d1a9d6ad43201224d2d1a4a0694b4aef5b13b by Dan Vrátil.
Committed on 01/02/2013 at 00:35.
Pushed by dvratil into branch 'master'.

Fix window presence icon when more tabs are open
Reviewed-By: David Edmundson

M  +1    -1    app/chat-window.cpp

http://commits.kde.org/telepathy-text-ui/d36d1a9d6ad43201224d2d1a4a0694b4aef5b13b